gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.GlyphVisAttr

Contents

- Exported types
- Properties
  - isClusterStart

Description

The PangoGlyphVisAttr is used to communicate information between the shaping phase and the rendering phase. More attributes may be added in the future.

Synopsis

- newtype GlyphVisAttr = GlyphVisAttr (ManagedPtr GlyphVisAttr)
- newZeroGlyphVisAttr :: MonadIO m => m GlyphVisAttr
- noGlyphVisAttr :: Maybe GlyphVisAttr
- getGlyphVisAttrIsClusterStart :: MonadIO m => GlyphVisAttr -> m Word32
- setGlyphVisAttrIsClusterStart :: MonadIO m => GlyphVisAttr -> Word32 -> m ()

# Exported types

newtype GlyphVisAttr Source #

Memory-managed wrapper type.

Constructors

GlyphVisAttr (ManagedPtr GlyphVisAttr) |

Instances

WrappedPtr GlyphVisAttr Source # |
Instance details Defined in GI.Pango.Structs.GlyphVisAttr Methods wrappedPtrCalloc :: IO (Ptr GlyphVisAttr) Source # wrappedPtrCopy :: GlyphVisAttr -> IO GlyphVisAttr Source # wrappedPtrFree :: Maybe (FunPtr (Ptr GlyphVisAttr -> IO ())) Source #
tag ~ AttrSet => Constructible GlyphVisAttr tag Source # |
Instance details Defined in GI.Pango.Structs.GlyphVisAttr Methods new :: MonadIO m => (ManagedPtr GlyphVisAttr -> GlyphVisAttr) -> [AttrOp GlyphVisAttr tag] -> m GlyphVisAttr Source #

newZeroGlyphVisAttr :: MonadIO m => m GlyphVisAttr Source #

Construct a `GlyphVisAttr` struct initialized to zero.

noGlyphVisAttr :: Maybe GlyphVisAttr Source #

A convenience alias for `Nothing` :: `Maybe` `GlyphVisAttr`.

# Properties

## isClusterStart

set for the first logical glyph in each cluster. (Clusters are stored in visual order, within the cluster, glyphs are always ordered in logical order, since visual order is meaningless; that is, in Arabic text, accent glyphs follow the glyphs for the base character.)

getGlyphVisAttrIsClusterStart :: MonadIO m => GlyphVisAttr -> m Word32 Source #

Get the value of the “`is_cluster_start`” field. When overloading is enabled, this is equivalent to

    get glyphVisAttr #isClusterStart

setGlyphVisAttrIsClusterStart :: MonadIO m => GlyphVisAttr -> Word32 -> m () Source #

Set the value of the “`is_cluster_start`” field. When overloading is enabled, this is equivalent to

    set glyphVisAttr [ #isClusterStart := value ]